Bug 742438 - [abrt] ibus-1.3.99.20110817-4.fc15: Process /usr/bin/ibus-daemon was killed by signal 6 (SIGABRT)
[abrt] ibus-1.3.99.20110817-4.fc15: Process /usr/bin/ibus-daemon was killed b...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:f89b31436eec84ee31d86a57654...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-09-30 02:42 EDT by nomnex
Modified: 2011-12-30 02:05 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-12-30 02:05:17 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
im-selector lxde equivalent (27.25 KB, image/png)
2011-10-04 02:05 EDT, nomnex
no flags Details

  None (edit)
Description nomnex 2011-09-30 02:42:57 EDT
abrt version: 2.0.3
architecture:   i686
backtrace_rating: 4
cmdline:        /usr/bin/ibus-daemon -r --xim --timeout 1000
component:      ibus
executable:     /usr/bin/ibus-daemon
kernel:         2.6.40.4-5.fc15.i686
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.3.99.20110817-4.fc15
reason:         Process /usr/bin/ibus-daemon was killed by signal 6 (SIGABRT)
time:           Wed Sep 28 12:57:21 2011
uid:            500
username:       mt
var_log_messages: Sep 28 12:57:22 nh28d abrt[5175]: saved core dump of pid 1607 (/usr/bin/ibus-daemon) to /var/spool/abrt/ccpp-2011-09-28-12:57:21-1607.new/coredump (27643904 bytes)

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/84/1a0730c30c9f98cba256b9c5390b9c0cfe19ce
:[New LWP 1607]
:[New LWP 1639]
:[New LWP 1645]
:[Thread debugging using libthread_db enabled]
:Core was generated by `/usr/bin/ibus-daemon -r --xim --timeout 1000'.
:Program terminated with signal 6, Aborted.
:#0  0x00133416 in __kernel_vsyscall ()
:
:Thread 3 (Thread 0xb64ffb70 (LWP 1645)):
:#0  g_variant_type_string_scan (string=0xb5b2495b "}av))bbu(sa{sv}av))", limit=0x0, endptr=0x0) at gvarianttype.c:547
:        __PRETTY_FUNCTION__ = "g_variant_type_string_scan"
:#1  0x4739d4f0 in g_variant_type_check (type=<optimized out>) at gvarianttype.c:496
:        type_string = <optimized out>
:#2  0x4739d61f in g_variant_type_get_string_length (type=0xb5b24958) at gvarianttype.c:683
:        _g_boolean_var_ = <optimized out>
:        type_string = 0xb5b24958 "{sv}av))bbu(sa{sv}av))"
:        brackets = 0
:        index = 0
:        __PRETTY_FUNCTION__ = "g_variant_type_get_string_length"
:#3  0x4739dd92 in g_variant_type_equal (type1=0xb5b24958, type2=0x475984e5) at gvarianttype.c:1047
:        string1 = <optimized out>
:        string2 = <optimized out>
:        size1 = <optimized out>
:        size2 = <optimized out>
:        __PRETTY_FUNCTION__ = "g_variant_type_equal"
:#4  0x47559462 in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b24958, just_align=1, indent=28, error=0xb64fe6fc) at gdbusmessage.c:1142
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 1
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#5  0x475599ca in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b24957, just_align=0, indent=26, error=0xb64fe7bc) at gdbusmessage.c:1326
:        item = <optimized out>
:        array_len = <optimized out>
:        builder = {x = {0, 3048305832, 3048305833, 0, 0, 4294967295, 3048311512, 8, 0, 3, 1033660112, 0, 0, 0, 0, 0}}
:        offset = <optimized out>
:        target = <optimized out>
:        element_type = 0xb5b24958
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = <optimized out>
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#6  0x47559c8b in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b24955, just_align=0, indent=24, error=0xb64fe87c) at gdbusmessage.c:1431
:        item = <optimized out>
:        element_type = 0xb5b24957
:        builder = {x = {0, 3048305752, 3048305754, 0, 3, 3, 3048305792, 3, 1, 2, 1033660112, 0, 0, 0, 0, 0}}
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#7  0x47559c8b in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b2494d, just_align=0, indent=22, error=0xb64fe93c) at gdbusmessage.c:1431
:        item = <optimized out>
:        element_type = 0xb5b24955
:        builder = {x = {0, 3048305696, 3048305704, 0, 4, 4, 3048319536, 4, 3, 2, 1033660112, 0, 0, 0, 0, 0}}
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#8  0x47559c8b in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b24930, just_align=0, indent=20, error=0xb64fe9fc) at gdbusmessage.c:1431
:        item = <optimized out>
:        element_type = 0xb5b2494d
:        builder = {x = {0, 3048360312, 3048360341, 0, 11, 11, 3048319648, 11, 6, 2, 1033660112, 0, 0, 0, 0, 0}}
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#9  0x47559db7 in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b0413b, just_align=0, indent=18, error=0xb64feabc) at gdbusmessage.c:1482
:        siglen = <optimized out>
:        sig = 0xb5b1aaa0 "\030\237\367\t\030\207\367\t0\351\365\t"
:        variant_type = 0xb5b24930
:        value = <optimized out>
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#10 0x47559b6e in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b0413a, just_align=0, indent=16, error=0xb64feb7c) at gdbusmessage.c:1342
:        item = <optimized out>
:        array_len = 2028
:        builder = {x = {0, 3048360208, 3048360209, 1195437928, 0, 4294967295, 3048227272, 8, 1, 3, 1033660112, 0, 0, 0, 0, 0}}
:        offset = <optimized out>
:        target = 2028
:        element_type = 0xb5b0413b
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#11 0x47559c8b in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b04133, just_align=0, indent=14, error=0xb64fec3c) at gdbusmessage.c:1431
:        item = <optimized out>
:        element_type = 0xb5b0413a
:        builder = {x = {0, 3048370952, 3048370959, 0, 3, 3, 3048370968, 3, 2, 2, 1033660112, 0, 0, 0, 0, 0}}
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#12 0x47559c8b in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b04100, just_align=0, indent=12, error=0xb64fecfc) at gdbusmessage.c:1431
:        item = <optimized out>
:        element_type = 0xb5b04133
:        builder = {x = {0, 3048339240, 3048339291, 0, 11, 11, 3048341712, 11, 10, 2, 1033660112, 0, 0, 0, 0, 0}}
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#13 0x47559db7 in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b04bb8, just_align=0, indent=10, error=0xb64fedbc) at gdbusmessage.c:1482
:        siglen = <optimized out>
:        sig = 0xb5b1f728 "(sa{sv}su(sa{sv}s(sa{sv}av))s(sa{sv}s(sa{sv}av))bbu(sa{sv}av))"
:        variant_type = 0xb5b04100
:        value = <optimized out>
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#14 0x47559b6e in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b04bb7, just_align=0, indent=8, error=0xb64fee7c) at gdbusmessage.c:1342
:        item = <optimized out>
:        array_len = 7484
:        builder = {x = {0, 3048306304, 3048306305, 0, 0, 4294967295, 3048339104, 8, 0, 3, 1033660112, 0, 0, 0, 0, 0}}
:        offset = <optimized out>
:        target = 7484
:        element_type = 0xb5b04bb8
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#15 0x47559c8b in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b04bb0, just_align=0, indent=6, error=0xb64fef3c) at gdbusmessage.c:1431
:        item = <optimized out>
:        element_type = 0xb5b04bb7
:        builder = {x = {0, 3048349088, 3048349095, 0, 3, 3, 3048349072, 3, 2, 2, 1033660112, 0, 0, 0, 0, 0}}
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#16 0x47559db7 in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b1f6e9, just_align=0, indent=4, error=0xb64feffc) at gdbusmessage.c:1482
:        siglen = <optimized out>
:        sig = 0xb5b200a8 "8\267\261\265\200b\262\265\070b\262\265hF\261\265v))"
:        variant_type = 0xb5b04bb0
:        value = <optimized out>
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#17 0x47559c8b in parse_value_from_blob (mis=0x9f45380 [GMemoryInputStream], dis=0xb6506e80 [GDataInputStream], type=0xb5b1f6e8, just_align=0, indent=2, error=0xb64ff118) at gdbusmessage.c:1431
:        item = <optimized out>
:        element_type = 0xb5b1f6e9
:        builder = {x = {0, 3048339160, 3048339161, 0, 1, 1, 3048339144, 1, 0, 2, 1033660112, 0, 0, 0, 0, 0}}
:        ret = 0x0
:        local_error = 0x0
:        is_leaf = 0
:        __PRETTY_FUNCTION__ = "parse_value_from_blob"
:#18 0x4755b6c5 in g_dbus_message_new_from_blob (blob=0xb5b18b00 "l\004\001\001\244\034", blob_len=7484, capabilities=G_DBUS_CAPABILITY_FLAGS_UNIX_FD_PASSING, error=0xb64ff118) at gdbusmessage.c:1781
:        variant_type = 0xb5b1f6e8
:        tupled_signature_str = <optimized out>
:        signature_str = <optimized out>
:        signature_str_len = 1
:        ret = 0
:        mis = 0x9f45380 [GMemoryInputStream]
:        dis = 0xb6506e80 [GDataInputStream]
:        message = 0x9f73c00 [GDBusMessage]
:        endianness = <optimized out>
:        major_protocol_version = <optimized out>
:        byte_order = <optimized out>
:        message_body_len = 7332
:        headers = 0xb5b1f6e8
:        item = <optimized out>
:        iter = {x = {167223232, 4, 4, 0, 165553120, 1195589252, 0, 3579507750, 98, 1196471225, 1197309280, 0, 1, 1194513871, 1197304752, 166937160}}
:        signature = <optimized out>
:        __PRETTY_FUNCTION__ = "g_dbus_message_new_from_blob"
:#19 0x475657d5 in _g_dbus_worker_do_read_cb (input_stream=0xb6511878 [GSocket], res=0x9f34248, user_data=0xb65106a8) at gdbusprivate.c:737
:        message = <optimized out>
:        worker = 0xb65106a8
:        error = 0x0
:        bytes_read = 7468
:#20 0x47509e33 in g_simple_async_result_complete (simple=0x9f34248 [GSimpleAsyncResult]) at gsimpleasyncresult.c:747
:        current_source = <optimized out>
:        current_context = <optimized out>
:        __PRETTY_FUNCTION__ = "g_simple_async_result_complete"
:#21 0x47509f5c in complete_in_idle_cb (data=0x9f34248) at gsimpleasyncresult.c:757
:        simple = 0x9f34248 [GSimpleAsyncResult]
:#22 0x473545d1 in g_idle_dispatch (source=0xb5b04b78, callback=0x47509f40 <complete_in_idle_cb>, user_data=0x9f34248) at gmain.c:4558
:No locals.
:#23 0x473585bf in g_main_dispatch (context=0xb65070f8) at gmain.c:2441
:        dispatch = 0x473545b0 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x9f34248
:        callback = 0x47509f40 <complete_in_idle_cb>
:        cb_funcs = 0x4742f65c
:        cb_data = 0xb5b273c0
:        current_source_link = {data = 0xb5b04b78, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0xb5b04b78
:        current = 0xb6500ed0
:        i = <optimized out>
:#24 g_main_context_dispatch (context=0xb65070f8) at gmain.c:3014
:No locals.
:#25 0x47358d30 in g_main_context_iterate (context=0xb65070f8, block=1194752640, dispatch=1, self=0xb650a958) at gmain.c:3092
:        max_priority = 0
:        timeout = 0
:        some_ready = 1
:        nfds = <optimized out>
:        allocated_nfds = <optimized out>
:        fds = 0x4726e5d0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#26 0x47359457 in g_main_loop_run (loop=0xb65070e8) at gmain.c:3300
:        self = 0xb650a958
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#27 0x47564032 in gdbus_shared_thread_func (data=0x0) at gdbusprivate.c:276
:No locals.
:#28 0x47380535 in g_thread_create_proxy (data=0xb650a958) at gthread.c:1955
:        thread = 0xb650a958
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#29 0x4726ba2e in start_thread (arg=0xb64ffb70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb64ffb70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1193787380, 0, 4001536, -1236274120, 1101652064, -1824736382}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#30 0x471b134e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 2 (Thread 0xb7661b70 (LWP 1639)):
:#0  0x00133416 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x472720db in read () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#2  0x4735a44f in read (__nbytes=20, __buf=0xb76612b8, __fd=<optimized out>) at /usr/include/bits/unistd.h:45
:No locals.
:#3  child_watch_helper_thread (data=0x0) at gmain.c:4315
:        b = "B\000\000\000XgCG\260\315\344\t|\026\a\b \026\a\b"
:        list = <optimized out>
:#4  0x47380535 in g_thread_create_proxy (data=0x9e4cdb0) at gthread.c:1955
:        thread = 0x9e4cdb0
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#5  0x4726ba2e in start_thread (arg=0xb7661b70) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0xb7661b70
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {1193787380, 0, 4001536, -1218046920, 308928610, -1824736382}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = <optimized out>
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#6  0x471b134e in clone () at ../sysdeps/unix/sysv/linux/i386/clone.S:133
:No locals.
:
:Thread 1 (Thread 0xb7862720 (LWP 1607)):
:#0  0x00133416 in __kernel_vsyscall ()
:No symbol table info available.
:#1  0x4710526f in __GI_raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = <optimized out>
:        resultvar = <optimized out>
:        pid = 1193668596
:        selftid = 1607
:#2  0x47106ba5 in __GI_abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x4742f328, sa_sigaction = 0x4742f328}, sa_mask = {__val = {1194810927, 696, 1195569921, 0, 1194832114, 167223640, 1192542304, 1, 1195569960, 167223616, 167223616, 167153280, 1194718028, 0, 3213563228, 1194810681, 1195569960, 3048340128, 1194718006, 1195569960, 1194718791, 167223616, 3048340128, 167153280, 1195569960, 1195569960, 1195569960, 144, 1194844494, 167223616, 0, 3213563228}}, sa_flags = 1192527911, sa_restorer = 0}
:        sigs = {__val = {32, 0 <repeats 31 times>}}
:#3  0x4737e69f in g_assertion_message (domain=0x47586461 "GLib-GIO", file=0x475a0014 "gdbusconnection.c", line=4425, func=0x475a198f "call_in_idle_cb", message=<optimized out>) at gtestutils.c:1358
:        lstr = "4425\000\364\065GV{7G(\363BG\254|7G@v\365\t\333\006=G(\363BG"
:        s = 0x9f68e80 "8\241\367\t\020\004&G:ERROR:gdbusconnection.c:4425:call_in_idle_cb: assertion failed: (vtable != NULL && vtable->method_call != NULL)\200"
:#4  0x4737ec30 in g_assertion_message_expr (domain=0x47586461 "GLib-GIO", file=0x475a0014 "gdbusconnection.c", line=4425, func=0x475a198f "call_in_idle_cb", expr=0x475a0e48 "vtable != NULL && vtable->method_call != NULL") at gtestutils.c:1369
:        s = <optimized out>
:#5  0x475540c4 in call_in_idle_cb (user_data=0x9f57db0) at gdbusconnection.c:4425
:        invocation = 0x9f57db0 [GDBusMethodInvocation]
:        vtable = 0x9f59e28
:        registration_id = <optimized out>
:        subtree_registration_id = <optimized out>
:        __PRETTY_FUNCTION__ = "call_in_idle_cb"
:#6  0x473545d1 in g_idle_dispatch (source=0xb5b20a88, callback=0x47553ed0 <call_in_idle_cb>, user_data=0x9f57db0) at gmain.c:4558
:No locals.
:#7  0x473585bf in g_main_dispatch (context=0x9e3e078) at gmain.c:2441
:        dispatch = 0x473545b0 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x9f57db0
:        callback = 0x47553ed0 <call_in_idle_cb>
:        cb_funcs = 0x4742f65c
:        cb_data = 0xb5b27cd8
:        current_source_link = {data = 0xb5b20a88, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0xb5b20a88
:        current = 0x9e30b20
:        i = <optimized out>
:#8  g_main_context_dispatch (context=0x9e3e078) at gmain.c:3014
:No locals.
:#9  0x47358d30 in g_main_context_iterate (context=0x9e3e078, block=1194752640, dispatch=1, self=0x9de2390) at gmain.c:3092
:        max_priority = 0
:        timeout = 0
:        some_ready = 1
:        nfds = <optimized out>
:        allocated_nfds = <optimized out>
:        fds = 0x4726e5d0
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#10 0x47359457 in g_main_loop_run (loop=0x9e51998) at gmain.c:3300
:        self = 0x9de2390
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#11 0x0806083b in bus_server_run () at server.c:137
:        __PRETTY_FUNCTION__ = "bus_server_run"
:#12 0x0804d173 in main (argc=1, argv=0xbf8b18d4) at main.c:291
:        context = <optimized out>
:        error = 0x0
:From        To          Syms Read   Shared Object Library
:0x4f52a9f0  0x4f54b2ec  Yes         /usr/lib/libibus-1.0.so.0.0.0
:0x474c9c50  0x4758640c  Yes         /lib/libgio-2.0.so.0.2800.8
:0x4745bfe0  0x4748f72c  Yes         /lib/libgobject-2.0.so.0.2800.8
:0x474a5bd0  0x474a6d4c  Yes         /lib/libgmodule-2.0.so.0.2800.8
:0x47432f30  0x4743470c  Yes         /lib/libgthread-2.0.so.0.2800.8
:0x47289880  0x4728d39c  Yes         /lib/librt-2.14.so
:0x47329770  0x473c73dc  Yes         /lib/libglib-2.0.so.0.2800.8
:0x47269600  0x47274d6c  Yes         /lib/libpthread-2.14.so
:0x470edd10  0x4720bd24  Yes         /lib/libc-2.14.so
:0x47281a60  0x47282a8c  Yes         /lib/libdl-2.14.so
:0x4743b5f0  0x4744b65c  Yes         /lib/libresolv-2.14.so
:0x472df670  0x472ecaac  Yes         /lib/libz.so.1.2.5
:0x472fa490  0x4730bd9c  Yes         /lib/libselinux.so.1
:0x470b6850  0x470cdaff  Yes         /lib/ld-2.14.so
:0x00d21a40  0x00d28f3c  Yes         /lib/libnss_files-2.14.so
:$1 = 0x0
:$2 = 0x9f5ecd8 "GLib-GIO:ERROR:gdbusconnection.c:4425:call_in_idle_cb: assertion failed: (vtable != NULL && vtable->method_call != NULL)"
:eax            0x0	0
:ecx            0x647	1607
:edx            0x6	6
:ebx            0x647	1607
:esp            0xbf8b144c	0xbf8b144c
:ebp            0x475a198f	0x475a198f
:esi            0x9f68e80	167153280
:edi            0x4725eff4	1193668596
:eip            0x133416	0x133416 <__kernel_vsyscall+2>
:eflags         0x206	[ PF IF ]
:cs             0x73	115
:ss             0x7b	123
:ds             0x7b	123
:es             0x7b	123
:fs             0x0	0
:gs             0x33	51
:Dump of assembler code for function __kernel_vsyscall:
:   0x00133414 <+0>:	int    $0x80
:=> 0x00133416 <+2>:	ret    
:End of assembler dump.

comment:
:Is this the same bug as before? ibus was set to Japanese input, in stand by (no input window).
:I was browsing some torrents in Deluge when ibus crashed unexpectedly. Deluge is written in Python,
:what about ibus? could this bug be triggered by the small amount of RAM max available on this computer (1 GB) and Deluge (which is memory intensive).

dso_list:
:/usr/lib/libibus-1.0.so.0.0.0 ibus-libs-1.3.99.20110817-4.fc15.i686 (Fedora Project) 1316302605
:/lib/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309159615
:/lib/libc-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313017578
:/usr/lib/locale/locale-archive glibc-common-2.14-5.i686 (Fedora Project) 1313017559
:/lib/librt-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313017578
:/lib/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309159615
:/lib/libnss_files-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313017578
:/lib/libpthread-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313017578
:/lib/ld-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313017578
:/lib/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309159615
:/lib/libdl-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313017578
:/lib/libselinux.so.1 libselinux-2.0.99-4.fc15.i686 (Fedora Project) 1305316578
:/usr/bin/ibus-daemon ibus-1.3.99.20110817-4.fc15.i686 (Fedora Project) 1316302611
:/lib/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309159615
:/lib/libz.so.1.2.5 zlib-1.2.5-3.fc15.i686 (Fedora Project) 1305316577
:/lib/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.i686 (Fedora Project) 1309159615
:/lib/libresolv-2.14.so glibc-2.14-5.i686 (Fedora Project) 1313017578

environ:
:SHELL=/bin/bash
:DBUS_STARTER_ADDRESS=unix:abstract=/tmp/dbus-6TdPR91qkc,guid=c7a90a634910ea1a54635df500000051
:PREFERRED=/usr/bin/startlxde
:XDG_SESSION_COOKIE=c1c8ee9f2e790e7a86c758f000000017-1317164109.554171-153204689
:XDG_RUNTIME_DIR=/run/user/mt
:DISPLAY=:0
:DESKTOP_SESSION=/usr/bin/startlxde
:PATH=/usr/local/bin:/bin:/usr/bin:/usr/local/sbin:/usr/sbin:/sbin
:XDG_SESSION_ID=1
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-6TdPR91qkc,guid=c7a90a634910ea1a54635df500000051
:XAUTHORITY=/home/mt/.Xauthority
:USER=mt
:DBUS_STARTER_BUS_TYPE=session
:GNOME_KEYRING_PID=1118
:PWD=/home/mt
:SHLVL=1
:GNOME_KEYRING_CONTROL=/tmp/keyring-dVT5yo
:LANG=en_US.UTF-8
:_=/usr/bin/dbus-launch
:LOGNAME=mt
:HOME=/home/mt
:LC_CTYPE=en_US.UTF-8
:GTK_IM_MODULE=ibus
:QT_IM_MODULE=ibus
:XMODIFIERS=@im=ibus

event_log:
:2011-09-30-15:37:31> Querying server settings
:2011-09-30-15:37:34  Preparing an archive to upload
:2011-09-30-15:37:40  Uploading 433844 bytes
:2011-09-30-15:37:49  Upload successful
:2011-09-30-15:37:53  Retrace job started
:2011-09-30-15:38:06  Initializing virtual root
:2011-09-30-15:38:18  Initializing virtual root
:2011-09-30-15:38:31  Initializing virtual root
:2011-09-30-15:38:43  Initializing virtual root
:2011-09-30-15:38:56  Initializing virtual root
:2011-09-30-15:39:08  Initializing virtual root
:2011-09-30-15:39:21  Initializing virtual root
:2011-09-30-15:39:33  Initializing virtual root
:2011-09-30-15:39:46  Initializing virtual root
:2011-09-30-15:39:59  Initializing virtual root
:2011-09-30-15:40:11  Initializing virtual root
:2011-09-30-15:40:24  Initializing virtual root
:2011-09-30-15:40:38  Initializing virtual root
:2011-09-30-15:40:51  Initializing virtual root
:2011-09-30-15:41:03  Initializing virtual root
:2011-09-30-15:41:16  Initializing virtual root
:2011-09-30-15:41:28  Initializing virtual root
:2011-09-30-15:41:40  Initializing virtual root
:2011-09-30-15:41:53  Generating backtrace
:2011-09-30-15:42:07  Retrace job finished successfully

maps:
:00133000-00134000 r-xp 00000000 00:00 0          [vdso]
:00d20000-00d2b000 r-xp 00000000 08:01 22016      /lib/libnss_files-2.14.so
:00d2b000-00d2c000 r--p 0000a000 08:01 22016      /lib/libnss_files-2.14.so
:00d2c000-00d2d000 rw-p 0000b000 08:01 22016      /lib/libnss_files-2.14.so
:08048000-08071000 r-xp 00000000 08:01 25512      /usr/bin/ibus-daemon
:08071000-08074000 rw-p 00029000 08:01 25512      /usr/bin/ibus-daemon
:09de0000-09f8b000 rw-p 00000000 00:00 0          [heap]
:470b6000-470d3000 r-xp 00000000 08:01 12581      /lib/ld-2.14.so
:470d3000-470d4000 r--p 0001d000 08:01 12581      /lib/ld-2.14.so
:470d4000-470d5000 rw-p 0001e000 08:01 12581      /lib/ld-2.14.so
:470d7000-4725c000 r-xp 00000000 08:01 15555      /lib/libc-2.14.so
:4725c000-4725d000 ---p 00185000 08:01 15555      /lib/libc-2.14.so
:4725d000-4725f000 r--p 00185000 08:01 15555      /lib/libc-2.14.so
:4725f000-47260000 rw-p 00187000 08:01 15555      /lib/libc-2.14.so
:47260000-47263000 rw-p 00000000 00:00 0 
:47265000-4727b000 r-xp 00000000 08:01 15636      /lib/libpthread-2.14.so
:4727b000-4727c000 r--p 00015000 08:01 15636      /lib/libpthread-2.14.so
:4727c000-4727d000 rw-p 00016000 08:01 15636      /lib/libpthread-2.14.so
:4727d000-4727f000 rw-p 00000000 00:00 0 
:47281000-47284000 r-xp 00000000 08:01 21357      /lib/libdl-2.14.so
:47284000-47285000 r--p 00002000 08:01 21357      /lib/libdl-2.14.so
:47285000-47286000 rw-p 00003000 08:01 21357      /lib/libdl-2.14.so
:47288000-4728f000 r-xp 00000000 08:01 15670      /lib/librt-2.14.so
:4728f000-47290000 r--p 00006000 08:01 15670      /lib/librt-2.14.so
:47290000-47291000 rw-p 00007000 08:01 15670      /lib/librt-2.14.so
:472de000-472f3000 r-xp 00000000 08:01 23766      /lib/libz.so.1.2.5
:472f3000-472f4000 rw-p 00014000 08:01 23766      /lib/libz.so.1.2.5
:472f6000-47313000 r-xp 00000000 08:01 23778      /lib/libselinux.so.1
:47313000-47314000 r--p 0001c000 08:01 23778      /lib/libselinux.so.1
:47314000-47315000 rw-p 0001d000 08:01 23778      /lib/libselinux.so.1
:47317000-4742f000 r-xp 00000000 08:01 15695      /lib/libglib-2.0.so.0.2800.8
:4742f000-47430000 rw-p 00118000 08:01 15695      /lib/libglib-2.0.so.0.2800.8
:47432000-47436000 r-xp 00000000 08:01 17808      /lib/libgthread-2.0.so.0.2800.8
:47436000-47437000 rw-p 00003000 08:01 17808      /lib/libgthread-2.0.so.0.2800.8
:47439000-4744f000 r-xp 00000000 08:01 23777      /lib/libresolv-2.14.so
:4744f000-47450000 r--p 00016000 08:01 23777      /lib/libresolv-2.14.so
:47450000-47451000 rw-p 00017000 08:01 23777      /lib/libresolv-2.14.so
:47451000-47453000 rw-p 00000000 00:00 0 
:47455000-474a1000 r-xp 00000000 08:01 18876      /lib/libgobject-2.0.so.0.2800.8
:474a1000-474a3000 rw-p 0004b000 08:01 18876      /lib/libgobject-2.0.so.0.2800.8
:474a5000-474a8000 r-xp 00000000 08:01 21374      /lib/libgmodule-2.0.so.0.2800.8
:474a8000-474a9000 rw-p 00002000 08:01 21374      /lib/libgmodule-2.0.so.0.2800.8
:474ab000-475d5000 r-xp 00000000 08:01 23779      /lib/libgio-2.0.so.0.2800.8
:475d5000-475d8000 rw-p 00129000 08:01 23779      /lib/libgio-2.0.so.0.2800.8
:475d8000-475d9000 rw-p 00000000 00:00 0 
:4f521000-4f565000 r-xp 00000000 08:01 26949      /usr/lib/libibus-1.0.so.0.0.0
:4f565000-4f566000 rw-p 00044000 08:01 26949      /usr/lib/libibus-1.0.so.0.0.0
:4f566000-4f567000 rw-p 00000000 00:00 0 
:b5b00000-b5b2f000 rw-p 00000000 00:00 0 
:b5b2f000-b5c00000 ---p 00000000 00:00 0 
:b5cff000-b5d00000 ---p 00000000 00:00 0 
:b5d00000-b6500000 rw-p 00000000 00:00 0 
:b6500000-b6521000 rw-p 00000000 00:00 0 
:b6521000-b6600000 ---p 00000000 00:00 0 
:b6660000-b6661000 ---p 00000000 00:00 0 
:b6661000-b6e61000 rw-p 00000000 00:00 0 
:b6e61000-b6e62000 ---p 00000000 00:00 0 
:b6e62000-b7662000 rw-p 00000000 00:00 0 
:b7662000-b7862000 r--p 00000000 08:01 21991      /usr/lib/locale/locale-archive
:b7862000-b7866000 rw-p 00000000 00:00 0 
:b7878000-b7879000 rw-p 00000000 00:00 0 
:bf892000-bf8b3000 rw-p 00000000 00:00 0          [stack]
Comment 1 fujiwara 2011-09-30 05:06:59 EDT
I cannot reproduce your problem.
Do you still see your problem?
How do you reproduce the problem?
Comment 2 nomnex 2011-10-03 02:49:25 EDT
See below or above. I use abrt, so I won't probably report any new ibus crash, since it seems to be (my) config related - and the same problem. The notebook is fairly old, the ram is 1 GB, and the mobility 9000 radeon is not the best card to get along with Linux. You explained me how to increase the time-out, but I still have these auto crash report from time to time. Sorry for the noise anyway.
---
comment:
:Is this the same bug as before? ibus was set to Japanese input, in stand by
(no input window).
:I was browsing some torrents in Deluge when ibus crashed unexpectedly. Deluge
is written in Python,
:what about ibus? could this bug be triggered by the small amount of RAM max
available on this computer (1 GB) and Deluge (which is memory intensive).
Comment 3 fujiwara 2011-10-03 04:17:36 EDT
(In reply to comment #2)
> :Is this the same bug as before? ibus was set to Japanese input, in stand by
> (no input window).


The "no input window" is not correct to enable ibus.
Probably I think your ibus configuration has been wrong.
I'd recommend to just use GNOME desktop environment and run im-chooser.
Comment 4 nomnex 2011-10-04 02:05:46 EDT
Created attachment 526178 [details]
im-selector lxde equivalent
Comment 5 nomnex 2011-10-04 02:07:00 EDT
(In reply to comment #3)
 
> The "no input window" is not correct to enable ibus.
> Probably I think your ibus configuration has been wrong.
> I'd recommend to just use GNOME desktop environment and run im-chooser.

Thanks for the follow up. I have notice the "no input window" msg. ibus sometimes crash when I inadvertently push the key "Alt-Shift" while there is no input window (e.g. I am on the desktop, browsing files).

What do I need to do to reset my configuration? for the info, ibus was part of the default LXDE F-Spin, when I installed the CD-Room. I did not set anything but to choose ibus

Print-screen above: is this the LXDE equivalent of im-chooser on Gnome? If so, that's the way I first enabled ibus.
Comment 6 fujiwara 2011-10-04 02:54:04 EDT
(In reply to comment #5)
> What do I need to do to reset my configuration? for the info, ibus was part of
> the default LXDE F-Spin, when I installed the CD-Room. I did not set anything
> but to choose ibus

I think it's the best to use a new user account to reset any configurations totally.
Or it's good to log out the user session, log in the home dir with ssh and remove all files and dot files under the home dir.

> Print-screen above: is this the LXDE equivalent of im-chooser on Gnome? If so,
> that's the way I first enabled ibus.

I think you need to log out the session or restart ibus again after enable ibus with im-chooser. im-chooser can be a command line.

Is there any different problems between invoking ibus by command line and enabling ibus with im-chooser?
Comment 7 nomnex 2011-10-04 04:03:38 EDT
alright, thank you.

I have an older let's note Panasonic, a Sony vaio and this FMV-Biblo notebooks. All the notbooks are set the same manner with the same Fedora DE. Since this recurrent crash ibus crash occurs only on the FMV-Biblo notebook, it could be hardware related, or "notebook model" specific. If so, it does no apply as a software bug then.

I will see if F-16 improve or worsen the ibus crashes on this particular notebook. Thanks again.

Note You need to log in before you can comment on or make changes to this bug.